Subject: bug#23608: closed (Re: bug#23608: 24.5; Breakpoints don't show in GDB over TRAMP)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 31 Aug 2016 09:23:02 +0000

Your bug report

#23608: 24.5; Breakpoints don't show in GDB over TRAMP

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23608: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23608
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23608: 24.5; Breakpoints don't show in GDB over TRAMP
From: Michael Albinus <[email-masked]>
To: Tim Marston <[email-masked]>
Cc: [email-masked]
Date: Wed, 31 Aug 2016 11:22:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 25.2

Michael Albinus <[email-masked]> writes:

> I've committed the following fix to Emacs master:

[...]

> Could you, pls, check whether this works for you? I would also be
> interested in any undesired side effect, since I couldn't test this
> extensively.

No reaction, so I assume everything works as expected. I'm closing the
bug. Feel free to reopen if it doesn't work for you.

>> Tim Marston
>> ed.am

Best regards, Michael.

Subject: 24.5; Breakpoints don't show in GDB over TRAMP
From: Tim Marston <[email-masked]>
To: [email-masked]
Date: Tue, 24 May 2016 09:35:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I've noticed that breakpoints don't show up in the source code when
running GDB over TRAMP.  It's quite reproducible.

Steps to reproduce:

1/  run emacs
    $ emacs -q

2/  visit a some remote source code
    C-x C-f /laptop:/home/edam/src/lang/c++/hello-world/hw.cc

3/  run GDB
    M-x gdb RET RET

4/  switch back to source code window
    C-x b RET

5/  add breakpoint
    C-x C-a C-b

What happens:

The breakpoint doesn't show up in the source code buffer.  When you run
the program, the breakpoint still works.  And when the program "breaks
out", you get a current line indicator, showing you where execution is
at.  But no breakpoint.

If you do the same as above, but with a local file (i.e., not via
TRAMP), breakpoints show up as expected.

Another detail, which may be related, is that if I try to set another
breakpoint on the same line, I get this message:

    File /scp:laptop:/home/edam/src/lang/c++/hello-world/"/home/edam/data/dev/lang/c++/hello-world/hw.cc" no longer exists!

Which would seem to indicate that emacs is becoming confused about file
file names over TRAMP.

In GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2016-04-08 on binet, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11803000
System Description:	Debian GNU/Linux unstable (sid)

Configured using:
 `configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
 --build x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
 --with-x=yes --with-x-toolkit=gtk3 --with-toolkit-scroll-bars
 'CFLAGS=-g -O2 -fstack-protector-strong -Wformat
 -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time
 -D_FORTIFY_SOURCE=2' LDFLAGS=-Wl,-z,relro'

Important settings:
  value of $LANG: en_GB.utf8
  locale-coding-system: utf-8-unix

Major mode: C++/l

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent messages:
Tramp: Opening connection for laptop using scp...done
Target doesn't support non-stop mode.  Turning it off.
Command: break hw.cc:5
Use M-x make-directory RET RET to create the directory and its parents

Tramp: Checking `vc-registered' for /scp:laptop:/home/edam/src/lang/c++/hello-world/"/home/edam/data/dev/lang/c++/hello-world/hw.cc"...done
Use M-x make-directory RET RET to create the directory and its parents

Tramp: Checking `vc-registered' for /scp:laptop:/home/edam/data/dev/lang/c++/hello-world/"/home/edam/data/dev/lang/c++/hello-world/hw.cc"...done
Use M-x make-directory RET RET to create the directory and its parents

Load-path shadows:
/usr/share/emacs24/site-lisp/emacs-goodies-el/all hides /usr/share/emacs/24.5/site-lisp/elpa/company-0.8.12/all
/usr/share/emacs24/site-lisp/cmake-data/cmake-mode hides /usr/share/emacs/site-lisp/cmake-mode
/usr/share/emacs/24.5/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs24/site-lisp/psgml/psgml-init hides /usr/share/emacs/site-lisp/psgml/psgml-init
/usr/share/emacs24/site-lisp/psgml/psgml-sysdep hides /usr/share/emacs/site-lisp/psgml/psgml-sysdep
/usr/share/emacs24/site-lisp/psgml/psgml-edit hides /usr/share/emacs/site-lisp/psgml/psgml-edit
/usr/share/emacs24/site-lisp/psgml/psgml-dtd hides /usr/share/emacs/site-lisp/psgml/psgml-dtd
/usr/share/emacs24/site-lisp/psgml/psgml hides /usr/share/emacs/site-lisp/psgml/psgml
/usr/share/emacs24/site-lisp/psgml/psgml-info hides /usr/share/emacs/site-lisp/psgml/psgml-info
/usr/share/emacs24/site-lisp/psgml/psgml-parse hides /usr/share/emacs/site-lisp/psgml/psgml-parse
/usr/share/emacs24/site-lisp/psgml/psgml-ids hides /usr/share/emacs/site-lisp/psgml/psgml-ids
/usr/share/emacs24/site-lisp/psgml/psgml-other hides /usr/share/emacs/site-lisp/psgml/psgml-other
/usr/share/emacs24/site-lisp/psgml/psgml-api hides /usr/share/emacs/site-lisp/psgml/psgml-api
/usr/share/emacs24/site-lisp/psgml/psgml-charent hides /usr/share/emacs/site-lisp/psgml/psgml-charent

Features:
(shadow sort mail-extr emacsbug message rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mail-utils gdb-mi bindat json gud
cc-langs cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align
cc-engine cc-vars cc-defs help-mode easymenu tramp-cache tramp-sh tramp
tramp-compat auth-source eieio byte-opt bytecomp byte-compile cl-extra
cl-loaddefs cl-lib cconv eieio-core gnus-util mm-util mail-prsvr
password-cache tramp-loaddefs trampver shell pcomplete comint ansi-color
ring format-spec advice help-fns s ucs-normalize psgml-init
emacs-goodies-el emacs-goodies-custom emacs-goodies-loaddefs easy-mmode
devhelp dash-functional dash time-date tooltip electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 257936 12358)
 (symbols 48 24798 0)
 (miscs 40 133 191)
 (strings 32 34368 8660)
 (string-bytes 1 1117099)
 (vectors 16 40099)
 (vector-slots 8 806756 6357)
 (floats 8 639 156)
 (intervals 56 543 1441)
 (buffers 960 22)
 (heap 1024 26132 1165))

--
Tim Marston
ed.am